<div class="flex-container-player">
  <img class="album-player" [src]="imgUrl">
  <div class="player" *ngFor="let track of tracks">
    <div>{{track.name}}</div>
    <div>
      <audio *ngIf="track.preview_url" [src]="track.preview_url" controls></audio>
      <span *ngIf="!track.preview_url">Preview unavailable</span>
    </div>
  </div>
</div>